#ifndef ERROR_H
#define ERROR_H

#include <stdint.h>
#include <gtk/gtk.h>

// Определение структуры для информации об ошибках
typedef struct {
    uint8_t code;
    const char *description;
} ErrorInfo;

#define ERROR_COUNT 4

// Массив всех возможных ошибок
extern ErrorInfo error_list[ERROR_COUNT];

void initialize_error_table();
void update_error_table(uint8_t error_code);

#endif //ERROR_H
