#ifndef WIDGETS_H
#define WIDGETS_H

#include <gtk/gtk.h>


// Структура widgets должна быть объявлена глобально или передаваться между функциями
typedef struct {
    GtkWidget *GridBox;
    GtkWidget *LabelCurrentPressure;
    GtkWidget *LabelSensorPressure;
    GtkWidget *LabelRequiredPressure;
    GtkWidget *ButtonMain;
    GtkWidget *ButtonReprint;
    GtkWidget *ErrorTreeView;       // Представление таблицы ошибок
    GtkListStore *ErrorListStore;   // Модель данных для таблицы ошибок
    uint8_t gpio_triggered;
} Widgets;

typedef struct {
    GtkWidget *button;
    const char *label_text;
} ButtonUpdateData;

extern Widgets widgets;

#endif // WIDGETS_H