#include "constants.h"
#include "structures.h"

#include "../Libs/cJSON/Inc/cJSON.h"
#include "../Libs/CURL/Inc/curl2.h"
#include "../Libs/Godex500/Inc/Godex500.h"
#include "../Libs/sx1278/Inc/sx1278.h"
#include "../Libs/Logger/Inc/logger.h"

#include "../../controllers/Inc/ui_controller.h"

char* concat_strings(const char *str1, const char *str2);
cJSON *cJSON_GetObject(cJSON *object, uint8_t *key);
uint8_t InitializationProject(uint8_t* api_url, uint8_t pin_nss, uint8_t pin_rst, uint8_t pin_dio0, uint8_t pin_koncevik, uint8_t pin_air_input, uint8_t pin_air_output, int8_t* serial_port, uint8_t* serial_device);
void print_bytes(SxResive* ptr, size_t size);
void packSxTransmit(SxTransmit* data, uint8_t* buffer);